Loading...
Searching...
No Matches
idna.cc File Reference
`#include <fuzzer/FuzzedDataProvider.h>`
`#include <memory>`
`#include <string>`
`#include "ada.cpp"`
`#include "ada.h"`

Go to the source code of this file.

## Functions

int | LLVMFuzzerTestOneInput (const uint8_t *data, size_t size)

## Function Documentation

## LLVMFuzzerTestOneInput()

int LLVMFuzzerTestOneInput | ( | const uint8_t * | data,
|  | size_t | size )

High-level IDNA API

Round-trip property: to_unicode(to_ascii(x)) should not crash. We don't assert equality because IDNA may normalize/reject inputs.

Punycode functions

Unicode transcoding

IDNA label validation

IDNA mapping

Domain code point validation

Normalization

Definition at line 9 of file idna.cc.

References ada::idna::ascii_map(), ada::idna::contains_forbidden_domain_code_point(), ada::idna::is_ascii(), ada::idna::is_label_valid(), ada::idna::map(), ada::idna::normalize(), ada::idna::punycode_to_utf32(), ada::idna::to_ascii(), ada::idna::to_unicode(), ada::idna::utf32_length_from_utf8(), ada::idna::utf32_to_punycode(), ada::idna::utf32_to_utf8(), ada::idna::utf8_length_from_utf32(), ada::idna::utf8_to_utf32(), and ada::idna::verify_punycode().